using System.Text.Json.Serialization;

namespace Adaptation.FileHandlers.OpenInsightMetrologyViewer;

public class BarcodeDevice : IBarcodeDevice
{

    protected string _Name;
    protected string _Path;
    protected string _ProductId;
    protected string _VendorId;
    public string Name => _Name;
    public string Path => _Path;
    public string ProductId => _ProductId;
    public string VendorId => _VendorId;

    public BarcodeDevice()
    {
        _Name = string.Empty;
        _Path = string.Empty;
        _ProductId = string.Empty;
        _VendorId = string.Empty;
    }

    [JsonConstructor]
    public BarcodeDevice(string name, string path, string productId, string vendorId)
    {
        _Name = name;
        _Path = path;
        _ProductId = productId;
        _VendorId = vendorId;
    }

}